--- chrome/plugin/plugin_thread.cc
+++ chrome/plugin/plugin_thread.cc
@@ -31,7 +31,7 @@ PluginThread::PluginThread()
       CommandLine::ForCurrentProcess()->GetSwitchValue(switches::kPluginPath));
 
   lazy_tls.Pointer()->Set(this);
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   {
     // XEmbed plugins assume they are hosted in a Gtk application, so we need
     // to initialize Gtk in the plugin process.
@@ -219,7 +219,7 @@ void NotifyBrowserOfPluginDisposeWindow(uint32 window_id, CGRect bounds) {
 bool IsDefaultPluginEnabled() {
 #if defined(OS_WIN)
   return true;
-#elif defined(OS_LINUX)
+#elif defined(OS_NIX)
   // http://code.google.com/p/chromium/issues/detail?id=10952
   return false;
 #elif defined(OS_MACOSX)
diff --git chrome/plugin/webplugin_proxy.cc chrome/plugin/webplugin_proxy.cc
index 5033d8e..612eb4e 100644
